info.bioinfweb.jphyloio.factory

## Class JPhyloIOContentExtensionFileFilter

- java.lang.Object
- - javax.swing.filechooser.FileFilter
  - - info.bioinfweb.commons.io.ExtensionFileFilter
    - - info.bioinfweb.commons.io.ContentExtensionFileFilter
      - - info.bioinfweb.jphyloio.factory.JPhyloIOContentExtensionFileFilter

- All Implemented Interfaces:
    JPhyloIOFormatSpecificObject, java.io.FileFilter, java.io.FilenameFilter

      public class JPhyloIOContentExtensionFileFilter
      extends ContentExtensionFileFilter
      implements JPhyloIOFormatSpecificObject

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class info.bioinfweb.commons.io.ContentExtensionFileFilter

      `ContentExtensionFileFilter.TestStrategy`

  - ### Field Summary

    - ### Fields inherited from class info.bioinfweb.commons.io.ExtensionFileFilter

      `EXTENSION_SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPhyloIOContentExtensionFileFilter(SingleReaderWriterFactory factory, ReadWriteParameterMap defaultParamaters, java.lang.String description, boolean addExtensionListToDescription, ContentExtensionFileFilter.TestStrategy testStrategy, boolean acceptFilesWithExceptions, java.lang.String... extensions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `acceptContent(java.io.FileInputStream stream)`
    `java.lang.String` | `getFormatID()` Returns a string ID uniquely identifying the target format of this instance.

    - ### Methods inherited from class info.bioinfweb.commons.io.ContentExtensionFileFilter

      `accept, acceptContent, getTestStrategy, isAcceptFilesWithExceptions, setAcceptFilesWithExceptions, setTestStrategy`

    - ### Methods inherited from class info.bioinfweb.commons.io.ExtensionFileFilter

      `accept, getDefaultExtension, getDescription, getExtensions, getExtensionsAsString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JPhyloIOContentExtensionFileFilter

          public JPhyloIOContentExtensionFileFilter(SingleReaderWriterFactory factory,
                                                    ReadWriteParameterMap defaultParamaters,
                                                    java.lang.String description,
                                                    boolean addExtensionListToDescription,
                                                    ContentExtensionFileFilter.TestStrategy testStrategy,
                                                    boolean acceptFilesWithExceptions,
                                                    java.lang.String... extensions)

  - ### Method Detail

    - #### acceptContent

          protected boolean acceptContent(java.io.FileInputStream stream)
                                   throws java.lang.Exception

      Specified by:
        `acceptContent` in class `ContentExtensionFileFilter`
      Throws:
        `java.lang.Exception`

    - #### getFormatID

          public java.lang.String getFormatID()

      Description copied from interface: `JPhyloIOFormatSpecificObject`
      Returns a string ID uniquely identifying the target format of this instance. Additional information on the format can be retrieved by passing the returned ID to `JPhyloIOReaderWriterFactory.getFormatInfo(String)`.

      Third party developers that create readers or writers for additional formats must make sure to use a globally unique format ID. It is strongly recommended to use owned reverse domain names for this (e.g. `org.example.additionalformat`).

      Specified by:
        `getFormatID` in interface `JPhyloIOFormatSpecificObject`
      Returns:
        the ID of the target format of this instance
      See Also:
        `JPhyloIOReaderWriterFactory.getFormatInfo(String)`